#!/usr/bin/perl -w


use DBI;


# configuration

my $database = "ifmonitor";
my $dbhost = "localhost";
my $dbuser = "root";
my $dbpass = "";
my $interface = "eth0";



# get the values from proc
# is there any better way to do this?

my $line;

open(DEV, "</proc/net/dev") or die "cant open /proc/net/dev: $!\n";
while(<DEV>) {
	if(/$interface/) {
		chomp;
		$line = $_;
		last;
	}
}
close(DEV);



# parse the stuff to get values

$line =~ s/^.*://;
$line =~ s/\s+(\d+)/ $1/g;
($received, $sent) = (split(/ /,$line))[0,8];



# save the data

my $dbh = DBI->connect ("dbi:mysql:host=$dbhost;database=$database", $dbuser, $dbpass);

my $sth = $dbh->prepare ("INSERT INTO $interface (row_date, received, sent) VALUES (".time().", $received, $sent)");

$sth->execute;

$dbh->disconnect;

